pFisherg {ptest} | R Documentation

## The cumulative distribution function for Fisher'g

### Description

Compute the the cumulative distribution function for Fisher'g from the selected method. See details.

### Usage

    pFisherg(g, n, method = c("exact", "RSR"))

### Arguments

`g` | Fisher'g statistic.
`n` | length of the series.
`method` | method to compute the distribution function.

### Details

method provides the following choices:

`exact`: Use the exact distribution.

`RSR`: Distribution fitted by the response surface regression method.

### Value

the distribution function.

### Author(s)

Yuanhao

### References

Fisher, R.A. (1929). Tests of significance in harmonic analysis. Proc. Roy. Soc. A, 125, 54-59.

MacKinnon, James (2001) : Computing numerical distribution functions in econometrics, Queen's Economics Department Working Paper, No. 1037.

### See Also

`ptestg`

### Examples

    #Given the Fisher's g statistic, find the cumulative probability
    pFisherg(g=0.3,n=10, method = "exact")
    pFisherg(g=0.3,n=10, method = "RSR")

[Package ptest version 1.0-8 Index]